MPI_Graph_map(3OpenMPI)

NAME
MPI_Graph_map - Maps process to graph topology information.

SYNTAX

C Syntax
#include <mpi.h>
int MPI_Graph_map(MPI_Comm comm, int nnodes, int *index,
	int *edges, int *newrank)

Fortran Syntax
INCLUDE 'mpif.h'
MPI_GRAPH_MAP(COMM, NNODES, INDEX, EDGES, NEWRANK, IERROR)
	INTEGER	COMM, NNODES, INDEX(*), EDGES(*), NEWRANK, IERROR

C++ Syntax
#include <mpi.h>
int Graphcomm::Map(int nnodes, const int index[],
	const int edges[]) const

INPUT PARAMETERS

comm
    Input communicator (handle).

nnodes
    Number of graph nodes (integer).

index
    Integer array specifying the graph structure, see MPI_Graph_ create.

edges
    Integer array specifying the graph structure.

OUTPUT PARAMETERS

newrank
    Reordered rank of the calling process; MPI_UNDEFINED if the calling process does not belong to graph (integer).

IERROR
    Fortran only: Error status (integer).

DESCRIPTION
MPI_Cart_map and MPI_Graph_map can be used to implement all other topology functions. In general they will not be called by the user directly, unless he or she is creating additional virtual topology capability other than that provided by MPI.

ERRORS
Almost all MPI routines return an error value; C routines as the value of the function and Fortran routines in the last argument. C++ functions do not return errors. If the default error handler is set to MPI::ERRORS_THROW_EXCEPTIONS, then on error the C++ exception mechanism will be used to throw an MPI:Exception object.

Before the error value is returned, the current MPI error handler is called. By default, this error handler aborts the MPI job, except for I/O function errors. The error handler may be changed with MPI_Comm_set_errhandler; the predefined error handler MPI_ERRORS_RETURN may be used to cause error values to be returned. Note that MPI does not guarantee that an MPI program can continue past an error.

SEE ALSO

MPI_Cart_map